package com.njcn.system.enums;

import lombok.Getter;


/**
 *
 * @author cdf
 * @date 2024/2/23
 */
@Getter
public enum DicTreeEnum {

    /**
     * 树结构字典类型
     */
    HB_PMS_TYPE("河北pms对象类型","0"),
    REPORT_UNIT_TYPE("自定义报表单位指标","1"),

    /**
     * 字典树
     */
    Trans_Sub("各类重要变电站","2100"),
    Converter("换流站","1200"),
    Ele_Railways("电气化铁路","1300"),
    Wind_Farms("风电场","1401"),
    Power_Station("光伏电站","1402"),
    //其实对应其他非线性负荷
    Smelting_Load("其他非线性负荷","2300"),
    Imp_Users("敏感/重要/高危用户","2400"),

    //冶炼负荷->小类(以下5个对应主网测点中的所属场站的冶炼负荷)
    Electric_Heating_Load("电加热负荷（含电弧炉、中频炉、电热炉、单/多晶硅生产设备）","2301"),
    Rolling_Mill("轧机","2303"),
    Welding_Load("电焊负荷","2306"),
    Lifting_Load("起重负荷（含电铲、升降机、门吊等吊装设备）","2308"),
    Electrolytic_Load("电解负荷","2309"),

    //

    rail_traffic("轨道交通","2304"),
    electric_vehicle("电动汽车充电站","2305"),
    inverter_motor("变频调速负荷（变频电机、变频水泵等）","2312"),
    Commercial_civil_use("商业/市政/民用/电子通讯负荷（含变频空调、大型电梯、节能照明设备、UPS、开关电源、逆变电源等）","2315"),




    //冀北主要非线性设备类型
    /**
     * 类型	类别	名称	所属行业	主要关注的电能质量指标
     * 非线性负荷用户	电气化铁路	电气化铁路	交通	谐波、电压波动和闪变、负序、电压偏差
     * 	城市轨道交通	有轨及无轨电车、地铁、轻轨	交通	谐波、电压波动和闪变
     * 	电动汽车充电站	电动汽车充电站	交通	谐波
     * 	电加热负荷	交流电弧炉	冶金、机械	谐波（间谐波）、电压波动和闪变、负序
     * 		直流电弧炉、精炼炉	冶金、机械	谐波（间谐波）、电压波动和闪变
     * 		电热炉	冶金、机械、化工	谐波、电压波动和闪变、负序
     * 		中频炉	冶金、机械、化工	谐波、电压波动和闪变
     * 		单（多）晶硅（锗）生产设备	制造	谐波
     * 	轧机	交、直流轧机	冶金	谐波（间谐波）、电压波动和闪变
     * 	电解负荷	电解设备	冶金、机械、化工	谐波、电压波动和闪变
     * 	电焊负荷	电焊机	冶金、机械、造船	谐波、电压波动和闪变
     * 	起重负荷	电铲、升降机、门吊等	冶金、机械等	谐波、电压波动和闪变
     * 	变频调速负荷	变频电机、水泵	公用事业、电厂、冶金、化工等	谐波、电压波动和闪变
     * 	其他	变频空调、大型电梯、节能照明设备	商业、市政、民用等	谐波
     * 		UPS、开关电源、逆变电源	电子、通讯等	谐波
     * 新能源发电	风电场	风力发电机	电力	闪变、谐波（间谐波）、电压偏差
     * 	光伏电站	光伏发电系统	电力	谐波、闪变
     * 换流站	换流站	换流器	电力	谐波、电压波动
     *
     */
    Nonlinear_Load_User_JB("非线性负荷用户","Nonlinear_Load_User_JB"),
    New_Energy_Power_JB("新能源发电","New_Energy_Power_JB"),
    Converter_Station_JB("换流站","Converter_Station_JB"),

    //非线性负荷用户
    Electrified_Railway_JB("电气化铁路","Electrified_Railway_JB"),
    Electrified_Railway_Name_JB("电气化铁路","Electrified_Railway_Name_JB"),

    Urban_Rail_Transit_JB("城市轨道交通","Urban_Rail_Transit_JB"),
    Subways_Light_Rail_JB("有轨及无轨电车、地铁、轻轨","Subways_Light_Rail_JB"),

    Charging_Stations_For_Electric_JB("电动汽车充电站","Charging_Stations_For_Electric_JB"),
    Charging_Stations_Name_JB("电动汽车充电站","Charging_Stations_Name_JB"),

    Electric_Heating_Load_JB("电加热负荷","Electric_Heating_Load_JB"),

    Ac_Arc_Furnace_JB("交流电弧炉","Ac_Arc_Furnace_JB"),
    Furnace_JB("直流电弧炉、精炼炉","Furnace_JB"),
    Electric_Heater_JB("电热炉","Electric_Heater_JB"),
    Frequency_Furnace_JB("中频炉","Frequency_Furnace_JB"),
    Production_Equipment_JB("单(多)晶硅(锗)生产设备","Production_Equipment_JB"),

    Rolling_Mill_JB("轧机","Rolling_Mill_JB"),
    Ac_DC_Rolling_Mill_JB("交、直流轧机","Ac_DC_Rolling_Mill_JB"),

    Electrolytic_Load_JB("电解负荷","Electrolytic_Load_JB"),
    Electrolytic_Equipment_JB("电解设备","Electrolytic_Equipment_JB"),

    Welding_Load_JB("电焊负荷","Welding_Load_JB"),
    Welding_Machine_JB("电焊机","Welding_Machine_JB"),

    Lifting_Load_JB("起重负荷","Lifting_Load_JB"),
    Electric_Shovel_JB("电铲、升降机、门吊等","Electric_Shovel_JB"),


    Variable_Frequency_Speed_Control_Load_JB("变频调速负荷","Variable_Frequency_Speed_Control_Load_JB"),
    Variable_Frequency_Water_Pump_JB("变频电机、水泵","Variable_Frequency_Water_Pump_JB"),


    Other_JB("其他","other_JB"),
    Equipment_JB("变频空调、大型电梯、节能照明设备","Equipment_JB"),
    Power_Source_JB("UPS、开关电源、逆变电源","Power_Source_JB"),


    Wind_Farms_JB("风电场","Wind_Farms_JB"),
    Wind_Turbine_JB("风力发电机","Wind_Turbine_JB"),


    Power_Station_JB("光伏电站","Power_Station_JB"),
    Power_System_JB("光伏发电系统","Power_System_JB"),

    Converter_JB("换流站","Converter_JB"),
    Current_Converter_JB("换流器","Current_Converter_JB"),

    /**
     * 设备类型
     */
    PQ_COM("PQ-COM","PQ-COM"),
    PQV_520("PQV-520","PQV-520"),





    ;





    private final String name;
    private final String code;


    DicTreeEnum(String name, String code){
        this.name=name;
        this.code=code;
    }

}
